Update von Multihunter 2 auf Multihunter 3

    • No error
    • Update von Multihunter 2 auf Multihunter 3

      Guten Tag,

      ich habe die Version 2 und 3 über Woltlab gekauft, leider kann ich das Update nicht installieren im Zuge der Umstellung auf Woltlab Suite 3.0 vom Burning Board 4. und erhalte somit die folgende Fehlermeldung:


      Source Code

      1. An update of package de.yourecom.multihunter2 from version 2.0.12 pl 4 to 3.0.0 RC 1 is not supported.
      2. Stacktrace:
      3. #0 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(575): wcf\system\package\PackageInstallationScheduler->findShortestUpdateThread('de.yourecom.mul...', Array, '2.0.12 pl 4', '3.0.0 RC 1')
      4. #1 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(575): wcf\system\package\PackageInstallationScheduler->findShortestUpdateThread('de.yourecom.mul...', Array, '2.0.12 pl 4', '3.0.0 RC 3')
      5. #2 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(575): wcf\system\package\PackageInstallationScheduler->findShortestUpdateThread('de.yourecom.mul...', Array, '2.0.12 pl 4', '3.0.0')
      6. #3 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(575): wcf\system\package\PackageInstallationScheduler->findShortestUpdateThread('de.yourecom.mul...', Array, '2.0.12 pl 4', '3.0.2')
      7. #4 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(518): wcf\system\package\PackageInstallationScheduler->findShortestUpdateThread('de.yourecom.mul...', Array, '2.0.12 pl 4', '3.0.2 pl 3')
      8. #5 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(106): wcf\system\package\PackageInstallationScheduler->updatePackage(103, '3.0.2 pl 3')
      9. #6 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(67): wcf\system\package\PackageInstallationScheduler->tryToInstallPackage(Object(wcf\data\package\Package), '3.0.2 pl 3', true, false)
      10. #7 /var/www/clients/client1/web10/web/wcf/lib/data/package/update/PackageUpdateAction.class.php(497): wcf\system\package\PackageInstallationScheduler->buildPackageInstallationStack(false)
      11. #8 /var/www/clients/client1/web10/web/wcf/lib/data/package/update/PackageUpdateAction.class.php(449): wcf\data\package\update\PackageUpdateAction->createQueue('update')
      12. #9 [internal function]: wcf\data\package\update\PackageUpdateAction->prepareUpdate()
      13. #10 /var/www/clients/client1/web10/web/wcf/lib/data/AbstractDatabaseObjectAction.class.php(196): call_user_func(Array)
      14. #11 /var/www/clients/client1/web10/web/wcf/lib/action/AJAXProxyAction.class.php(77): wcf\data\AbstractDatabaseObjectAction->executeAction()
      15. #12 /var/www/clients/client1/web10/web/wcf/lib/action/AJAXInvokeAction.class.php(96): wcf\action\AJAXProxyAction->invoke()
      16. #13 /var/www/clients/client1/web10/web/wcf/lib/action/AbstractAction.class.php(49): wcf\action\AJAXInvokeAction->execute()
      17. #14 /var/www/clients/client1/web10/web/wcf/lib/action/AJAXInvokeAction.class.php(63): wcf\action\AbstractAction->__run()
      18. #15 /var/www/clients/client1/web10/web/wcf/lib/system/request/Request.class.php(58): wcf\action\AJAXInvokeAction->__run()
      19. #16 /var/www/clients/client1/web10/web/wcf/lib/system/request/RequestHandler.class.php(139): wcf\system\request\Request->execute()
      20. #17 /var/www/clients/client1/web10/web/acp/index.php(10): wcf\system\request\RequestHandler->handle('wbb', true)
      21. #18 {main}
      Display All


      Sobald ich auch den "tornado" Server (3 http://store.woltlab.com/tornado/) freischalte unter Download Server wird mir zwar das Paket angezeigt aber ich erhalte eine neue Fehlermeldung:


      Source Code

      1. An update of package com.woltlab.wcf.infraction from version 2.1.4 to 3.0.0 Beta 3 is not supported.
      2. Stacktrace:
      3. #0 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(575): wcf\system\package\PackageInstallationScheduler->findShortestUpdateThread('com.woltlab.wcf...', Array, '2.1.4', '3.0.0 Beta 3')
      4. #1 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(518): wcf\system\package\PackageInstallationScheduler->findShortestUpdateThread('com.woltlab.wcf...', Array, '2.1.4', '3.1.6')
      5. #2 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(196): wcf\system\package\PackageInstallationScheduler->updatePackage(3, '3.1.6')
      6. #3 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(525): wcf\system\package\PackageInstallationScheduler->resolveRequirements(1894249)
      7. #4 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(106): wcf\system\package\PackageInstallationScheduler->updatePackage(52, '6.1.3')
      8. #5 /var/www/clients/client1/web10/web/wcf/lib/system/package/PackageInstallationScheduler.class.php(67): wcf\system\package\PackageInstallationScheduler->tryToInstallPackage(Object(wcf\data\package\Package), '6.1.3', true, false)
      9. #6 /var/www/clients/client1/web10/web/wcf/lib/data/package/update/PackageUpdateAction.class.php(497): wcf\system\package\PackageInstallationScheduler->buildPackageInstallationStack(false)
      10. #7 /var/www/clients/client1/web10/web/wcf/lib/data/package/update/PackageUpdateAction.class.php(449): wcf\data\package\update\PackageUpdateAction->createQueue('update')
      11. #8 [internal function]: wcf\data\package\update\PackageUpdateAction->prepareUpdate()
      12. #9 /var/www/clients/client1/web10/web/wcf/lib/data/AbstractDatabaseObjectAction.class.php(196): call_user_func(Array)
      13. #10 /var/www/clients/client1/web10/web/wcf/lib/action/AJAXProxyAction.class.php(77): wcf\data\AbstractDatabaseObjectAction->executeAction()
      14. #11 /var/www/clients/client1/web10/web/wcf/lib/action/AJAXInvokeAction.class.php(96): wcf\action\AJAXProxyAction->invoke()
      15. #12 /var/www/clients/client1/web10/web/wcf/lib/action/AbstractAction.class.php(49): wcf\action\AJAXInvokeAction->execute()
      16. #13 /var/www/clients/client1/web10/web/wcf/lib/action/AJAXInvokeAction.class.php(63): wcf\action\AbstractAction->__run()
      17. #14 /var/www/clients/client1/web10/web/wcf/lib/system/request/Request.class.php(58): wcf\action\AJAXInvokeAction->__run()
      18. #15 /var/www/clients/client1/web10/web/wcf/lib/system/request/RequestHandler.class.php(139): wcf\system\request\Request->execute()
      19. #16 /var/www/clients/client1/web10/web/acp/index.php(10): wcf\system\request\RequestHandler->handle('wbb', true)
      20. #17 {main}
      Display All



      Ich hoffe, das man hier für mich eine Lösung hat, ich werde noch irre. Vielen Dank :(
    • Vielen Dank für die schnelle Antwort.

      Gibt es hier eine Exportmöglichkeit? Zumindest habe ich keine gefunden. Ich denke mal ich bin nicht der einzige der vom Burning Board 4.1 auf die Woltlab Suite 3.0 umsteigen möchte.

      Das heißt das auch alle Einstellung weg wären?

      Gibt es nicht ein Zwischenversion auf die ich Updaten könnte damit nicht alle Daten und Einstellungen weg wären?

      Momentan verwenden wir die aktuelle Burning Board®-Version 4.1.21

      Warum ist eigentlich kein direktes Update möglich? Ist ja doch schon sehr umständlich.

      Vielen dank und gruß
    • Schön, das Sie es für unnötig halten, allerdings halte ich es sehr wohl für nötig.

      Bei dieser erzwungenen Deinstallation werden ja alle Log Einträge, die Benutzerpaarungen, die Whitelist und die Trahmailliste gelöscht oder?

      Ich bin mir nicht mehr sicher, ob wir diese Trashmailliste selbst einpflegen mussten oder ob diese enthalten ist. Bei weit über 850 Einträge wird dies allerdings sehr viel Zeit zum einpflegen benötigen.

      Allerdings sollte die Trashmailliste enthalten sein, lege ich auf jeden Fall wert darauf, das die Logeinträge exportiert und importiert werden können.

      Nachdem wir Doppelaccountprobleme haben hatten wir in dieses Plugin investiert.